Bug 15453 - Cannot download a list in the staff interface
Summary: Cannot download a list in the staff interface
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 14544
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 11:11 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15453: Assign the correct shelfid to the download list links (2.59 KB, patch)
2015-12-31 11:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15453: Assign the correct shelfid to the download list links (2.77 KB, patch)
2015-12-31 14:24 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 15453: Assign the correct shelfid to the download list links (2.83 KB, patch)
2016-01-06 20:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-12-31 11:11:28 UTC
Introduced by bug 14544, the shelfnumber is not correctly passed to the template.
Comment 1 Jonathan Druart 2015-12-31 11:15:14 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-12-31 14:24:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-01-06 20:04:35 UTC
Created attachment 46347 [details] [review]
[PASSED QA] Bug 15453: Assign the correct shelfid to the download list links

Introduced by bug 14544, the shelfnumber is not correctly passed to the
template.
The shelf variable is passed to the template, to access the shelfnumber,
we need to get shelf.shelfnumber.

Test plan:
At the intranet, try to download a list.
Without this patch it won't work.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-01-07 18:58:08 UTC
Pushed to Master - Thanks
Comment 5 Julian Maurice 2016-01-12 13:25:26 UTC
Patch pushed to 3.22.x, will be in 3.22.2